Start the Slack OAuth 2.0 installation flow
GET
/oauth/slack/install
const url = 'https://your-notavia-host/oauth/slack/install?env_id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: {cookie: '.AspNetCore.Cookies=<.AspNetCore.Cookies>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-notavia-host/oauth/slack/install?env_id=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --cookie .AspNetCore.Cookies=<.AspNetCore.Cookies>Requires an active dashboard session (cookie auth). Redirects the browser to Slack’s authorization URL with a JWE-encrypted state token.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” env_id
required
string format: uuid
Responses
Section titled “ Responses ”Redirects to Slack’s authorization page.
Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}